
package Juego;
import static Juego.Entorno.bueno2;
import java.util.TimerTask;
import java.util.Timer;

/* @author pedro */
public class Bueno2 {
   int cuenta = 0;
    int X;
    int Y;

    public Bueno2(int X, int Y) {
        this.X = X;
        this.Y = Y;
    }
    public void ObtenerPosicion( int X, int Y){
        
        this.X = X;
        this.Y = Y;  
    }
    
     public void MoverAyuda2(){
     int velocidad = 850;
        
        Timer timer;
        TimerTask iterador;
       
        iterador = new TimerTask() {
         @Override
         public void run() {
             switch(cuenta){
                 case 0: cuenta = 1;
                         bueno2.setLocation(X,Y);
                        break;
                 case 1: cuenta = 2;
                        bueno2.setLocation(X,90);
                        break;
                 case 2: cuenta = 3;
                        bueno2.setLocation(X,105);
                        break;
                 case 3: cuenta = 4;
                        bueno2.setLocation(X,120);
                        break;
                 case 4: cuenta = 5;
                        bueno2.setLocation(X,135);
                        break;
                 case 5: cuenta = 6;
                        bueno2.setLocation(X,150);
                        break;
                 case 6: cuenta = 7;
                        bueno2.setLocation(X,165);
                        break;
                 case 7: cuenta = 8;
                        bueno2.setLocation(X,180);
                        break;
                 case 8: cuenta = 9;
                        bueno2.setLocation(X,195);
                        break;
                 case 9: cuenta = 10;
                        bueno2.setLocation(X,210);
                        break;
                 case 10: cuenta = 11;
                        bueno2.setLocation(X,225);
                        break;
                 case 11: cuenta = 12;
                        bueno2.setLocation(X,240);
                        break;
                 case 12: cuenta = 13;
                        bueno2.setLocation(X,255);
                        break;
                 case 13: cuenta = 14;
                        bueno2.setLocation(X,270);
                        break;
                 case 14: cuenta = 15;
                        bueno2.setLocation(X,285);
                        break;
                 case 15: cuenta = 16;
                        bueno2.setLocation(X,300);
                        break;
                 case 16: cuenta = 17;
                        bueno2.setLocation(X,315);
                        break;
                 case 17: cuenta = 18;
                        bueno2.setLocation(X,330);
                        break;
                 case 18: cuenta = 19;
                        bueno2.setLocation(X,345);
                        break;
                 case 19: cuenta = 20;
                        bueno2.setLocation(X,360);
                        break;
                 case 20: cuenta = 21;
                        bueno2.setLocation(X,375);
                        break;
                 case 21: cuenta = 22;
                        bueno2.setLocation(X,390);
                        break;
                 case 22: cuenta = 23;
                        bueno2.setLocation(X,405);
                        break;
                 case 23: cuenta = 24;
                        bueno2.setLocation(X,420);
                        break;
                 case 24: cuenta = 25;
                        bueno2.setLocation(X,435);
                        break;
                 case 25: cuenta = 26;
                        bueno2.setLocation(X,450);
                        break;
                 case 26: cuenta = 27;
                        bueno2.setLocation(X,465);
                        break;
                 case 27: cuenta = 28;
                        bueno2.setLocation(X,480);
                        break;
                 case 28: cuenta = 29;
                        bueno2.setLocation(X,495);
                        break;
                 case 29: cuenta = 30;
                        bueno2.setLocation(X,500);
                        break;
                 case 30: cuenta = 0;
                        bueno2.setLocation(X,510);
                        break;
               
                 
                 
             } 
         }
     };
        timer = new Timer();
        timer.scheduleAtFixedRate(iterador, velocidad, velocidad);
          
    }
    
    
    
}
